Subject: Re: You don't exist, Go away! although user.name has been set

From: Marc Weber <[email-masked]>
Date: Thu, 18 Sep 2008 13:47:35 +0200

>  I can assure you that people are capable of fetching, pulling and
>  committing with git. I do it all day long at least.
> 
>  Can you post your ~/.gitconfig (and/or .git/config) file, please?
>  In conjunction, I also need to know the exact username you're using
>  on your system.

Hmm I think it only occurs if you git clone the repo before adding the
identity to your global config.

If you clone the repository after having added your identity everything
is fine..

/ksa > git fetch origin
fatal: You don't exist. Go away!

~/.gitconfig:
[user]
        name = sadflkj-sa
        email = [email-masked]

The repo config is unchanged  after cloning.
The HEAD pointer is invalid. But this shouldn't matter

Sincerly
Marc Weber